Subject: bug#57978: the fallback machanism for substitute servers doesn't work?

From: Attila Lendvai <[email-masked]>
Date: Wed, 21 Sep 2022 13:11:06 +0000

ci.guix.gnu.org is down right now. if i add --substitute-urls=http://bordeaux.guix.gnu.org then things work, but sans that it fails:

$ ./pre-inst-env guix system --no-graphic vm ~/workspace/guix/guix-crypto/tests/swarm-tests.scm
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
substitute: updating substitutes from 'https://substitutes.nonguix.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%guix substitute: warning: ci.guix.gnu.org: connection failed: No route to host
substitute: 
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
The following derivations will be built:
  /gnu/store/fkdmiwmvb6ar6n04hr470r3f5frgcbnc-bee-binary-1.8.1.drv
  /gnu/store/ksqiqmdijfy34g9qmqhkn3r5kww7v644-bee-linux-amd64.drv
  /gnu/store/lgc6jnar1qha8dydhi5p9ni2jawp5wmd-module-import-compiled.drv
  /gnu/store/kjza0q20vy6jywfrzr4l5df5va8d5ia9-geth-binary-1.10.25.drv
  /gnu/store/f090qzxym89vp3r13fbqlh4ghbnfc7ls-geth-alltools-linux-amd64-1.10.25-69568c55.tar.gz.drv
  /gnu/store/kxjd60sx5hxygkz8vfj670f2c70xdjxd-module-import-compiled.drv
  /gnu/store/jkp7wrakjv4gqjn475kszaa425zgm62a-openethereum-binary-3.3.5.drv
  /gnu/store/d1cl9x0gy0bns9frqwgliq0z7604vian-openethereum-linux-v3.3.5.zip.drv

71.2 MB will be downloaded
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
guix substitute: warning: ci.guix.gnu.org: connection failed: No route to host
 qemu-minimal-7.1.0-doc  3.4MiB                                                                                                  876.6MiB/s 00:00 [##################] 100.0%
guix substitute: error: connect*: No route to host
substitution of /gnu/store/7czrnkybr466v69wdj6i2sn6vpsg0ks3-cdrkit-libre-1.1.11 failed
guix system: error: corrupt input while restoring archive from #<closed: file 7f37458bd000>

the second time fails with another package:

$ ./pre-inst-env guix system --no-graphic vm ~/workspace/guix/guix-crypto/tests/swarm-tests.scm
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
guix system: warning: the following groups appear more than once: swarm-mainnet
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%guix substitute: warning: ci.guix.gnu.org: connection failed: No route to host
substitute: 
The following derivations will be built:
  /gnu/store/fkdmiwmvb6ar6n04hr470r3f5frgcbnc-bee-binary-1.8.1.drv
  /gnu/store/ksqiqmdijfy34g9qmqhkn3r5kww7v644-bee-linux-amd64.drv
  /gnu/store/lgc6jnar1qha8dydhi5p9ni2jawp5wmd-module-import-compiled.drv
  /gnu/store/kjza0q20vy6jywfrzr4l5df5va8d5ia9-geth-binary-1.10.25.drv
  /gnu/store/f090qzxym89vp3r13fbqlh4ghbnfc7ls-geth-alltools-linux-amd64-1.10.25-69568c55.tar.gz.drv
  /gnu/store/kxjd60sx5hxygkz8vfj670f2c70xdjxd-module-import-compiled.drv
  /gnu/store/jkp7wrakjv4gqjn475kszaa425zgm62a-openethereum-binary-3.3.5.drv
  /gnu/store/d1cl9x0gy0bns9frqwgliq0z7604vian-openethereum-linux-v3.3.5.zip.drv

71.2 MB will be downloaded
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
guix substitute: error: connect*: No route to host
substitution of /gnu/store/qvd2h5fd60h9p6yc161mndznf1785c9p-cpio-2.13 failed
guix system: error: corrupt input while restoring archive from #<closed: file 7fdc6f291000>